
#include "ods_interface.h"
#include <iostream>
using namespace std;

int main(int argc, char** argv)
{
    if(argc < 2)
    {
        cerr << "usage: " << argv[0] << " <inputfile> [outputfile]\n";
        cerr << "   the inputfile is loaded and written to stdout.\n";
        cerr << "   a \"copy\" is stored to outputfile, if provided.\n";
        return 1;
    }

    string rowsep="\n", cellsep="\t", tablesep="\n";
    AlgorithMan::Open_Document_Spreadsheet ods(argv[1]);
    for(int s = 0; s < ods.Sheets(); s++)
    {
        cout << ods.SheetNames[s] << "\n";
        for(int r = 0; r < ods.Rows(s); r++)
        {
            for(int c = 0; c < ods.Columns(s); c++)
            {
                cout << ods.Content[s][r][c] << cellsep;
            }
            cout << rowsep;
        }
        cout << tablesep;
    }
    
    if(argc > 2)
        ods.SaveToFile(argv[2]);
    
    return 0;
}
